/** Shopify CDN: Minification failed

Line 469:0 Unexpected "172"
Line 473:2 Unexpected "2732"
Line 474:2 Unexpected "2736"
Line 475:2 Unexpected "2746"
Line 477:6 Unexpected "/"
Line 479:2 Unexpected "436"
Line 480:2 Unexpected "442"
Line 482:6 Expected ":"
Line 484:4 Expected identifier but found "7"
Line 487:3 Unexpected "16"
... and 5 more hidden warnings

**/
.tw-pointer-events-none {
  pointer-events: none;
}
.tw-fixed {
  position: fixed;
}
.tw-absolute {
  position: absolute;
}
.tw-relative {
  position: relative;
}
.tw-right-\[5px\] {
  right: 5px;
}
.tw-top-\[5px\] {
  top: 5px;
}
.tw-top-0 {
  top: 0px;
}
.tw-top-2 {
  top: 0.5rem;
}
.tw-right-2 {
  right: 0.5rem;
}
.tw-z-\[99\] {
  z-index: 99;
}
.tw-z-\[50\] {
  z-index: 50;
}
.tw-z-\[9\] {
  z-index: 9;
}
.tw-m-auto {
  margin: auto;
}
.tw-my-\[5rem\] {
  margin-top: 5rem;
  margin-bottom: 5rem;
}
.\!tw-mr-\[18px\] {
  margin-right: 18px !important;
}
.tw-mt-\[50px\] {
  margin-top: 50px;
}
.tw-mb-\[80px\] {
  margin-bottom: 80px;
}
.tw-mb-\[50px\] {
  margin-bottom: 50px;
}
.tw-mb-\[2rem\] {
  margin-bottom: 2rem;
}
.tw-mb-10 {
  margin-bottom: 2.5rem;
}
.tw-mb-5 {
  margin-bottom: 1.25rem;
}
.tw-mb-4 {
  margin-bottom: 1rem;
}
.tw-mb-2 {
  margin-bottom: 0.5rem;
}
.tw-mt-10 {
  margin-top: 2.5rem;
}
.tw-mt-\[25px\] {
  margin-top: 25px;
}
.tw-mt-4 {
  margin-top: 1rem;
}
.tw-mb-0 {
  margin-bottom: 0px;
}
.tw-mb-8 {
  margin-bottom: 2rem;
}
.tw-mt-5 {
  margin-top: 1.25rem;
}
.tw-mr-auto {
  margin-right: auto;
}
.tw-mr-\[28px\] {
  margin-right: 28px;
}
.tw-mt-3 {
  margin-top: 0.75rem;
}
.tw-mt-1 {
  margin-top: 0.25rem;
}
.tw-block {
  display: block;
}
.tw-flex {
  display: flex;
}
.tw-grid {
  display: grid;
}
.tw-list-item {
  display: list-item;
}
.tw-hidden {
  display: none;
}
.\!tw-h-auto {
  height: auto !important;
}
.\!tw-h-\[16px\] {
  height: 16px !important;
}
.tw-h-full {
  height: 100%;
}
.tw-h-\[35\%\] {
  height: 35%;
}
.tw-h-\[33px\] {
  height: 33px;
}
.tw-max-h-\[90\%\] {
  max-height: 90%;
}
.tw-min-h-\[48px\] {
  min-height: 48px;
}
.tw-w-\[16px\] {
  width: 16px;
}
.tw-w-full {
  width: 100%;
}
.tw-w-\[644px\] {
  width: 644px;
}
.tw-w-fit {
  width: -moz-fit-content;
  width: fit-content;
}
.tw-w-\[120px\] {
  width: 120px;
}
.tw-w-\[33px\] {
  width: 33px;
}
.tw-max-w-\[90\%\] {
  max-width: 90%;
}
.tw-max-w-\[400px\] {
  max-width: 400px;
}
.tw-cursor-pointer {
  cursor: pointer;
}
.tw-grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}
.tw-grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}
.tw-flex-row {
  flex-direction: row;
}
.tw-flex-col {
  flex-direction: column;
}
.tw-flex-wrap {
  flex-wrap: wrap;
}
.tw-items-center {
  align-items: center;
}
.tw-justify-start {
  justify-content: flex-start;
}
.tw-justify-center {
  justify-content: center;
}
.tw-justify-between {
  justify-content: space-between;
}
.tw-gap-\[30px\] {
  gap: 30px;
}
.tw-gap-10 {
  gap: 2.5rem;
}
.tw-gap-2 {
  gap: 0.5rem;
}
.tw-gap-4 {
  gap: 1rem;
}
.tw-gap-\[28px\] {
  gap: 28px;
}
.tw-gap-3 {
  gap: 0.75rem;
}
.tw-rounded-full {
  border-radius: 9999px;
}
.tw-rounded-\[2px\] {
  border-radius: 2px;
}
.tw-border {
  border-width: 1px;
}
.tw-border-x-0 {
  border-left-width: 0px;
  border-right-width: 0px;
}
.tw-border-t {
  border-top-width: 1px;
}
.tw-border-t-0 {
  border-top-width: 0px;
}
.tw-border-b {
  border-bottom-width: 1px;
}
.tw-border-r {
  border-right-width: 1px;
}
.tw-border-none {
  border-style: none;
}
.tw-border-\[\#051C2C29\] {
  border-color: #051C2C29;
}
.tw-border-\[\#051C2C\] {
  --tw-border-opacity: 1;
  border-color: rgb(26 8 0 / var(--tw-border-opacity));
}
.tw-border-b-\[\#051C2C29\] {
  border-bottom-color: #051C2C29;
}
.tw-bg-\[\#EB5757\] {
  --tw-bg-opacity: 1;
  background-color: rgb(235 87 87 / var(--tw-bg-opacity));
}
.tw-bg-\[\#F1F2F3\] {
  --tw-bg-opacity: 1;
  background-color: rgb(241 242 243 / var(--tw-bg-opacity));
}
.tw-bg-\[\#051C2C\] {
  --tw-bg-opacity: 1;
  background-color: rgb(26 8 0 / var(--tw-bg-opacity));
}
.tw-bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}
.tw-bg-\[\#051c2d\] {
  --tw-bg-opacity: 1;
  background-color: rgb(26 8 0 / var(--tw-bg-opacity));
}
.tw-object-cover {
  -o-object-fit: cover;
     object-fit: cover;
}
.tw-p-5 {
  padding: 1.25rem;
}
.tw-p-8 {
  padding: 2rem;
}
.tw-p-\[5px\] {
  padding: 5px;
}
.tw-py-2 {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}
.tw-px-3 {
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}
.tw-px-8 {
  padding-left: 2rem;
  padding-right: 2rem;
}
.tw-py-\[23px\] {
  padding-top: 23px;
  padding-bottom: 23px;
}
.tw-px-\[32px\] {
  padding-left: 32px;
  padding-right: 32px;
}
.tw-pt-10 {
  padding-top: 2.5rem;
}
.tw-pb-5 {
  padding-bottom: 1.25rem;
}
.tw-text-center {
  text-align: center;
}
.tw-text-font10 {
  font-size: 10px;
  line-height: 14px;
}
.tw-text-font48 {
  font-size: 48px;
  line-height: 56px;
}
.tw-text-font18 {
  font-size: 18px;
  line-height: 26px;
}
.tw-text-font24 {
  font-size: 24px;
  line-height: 34px;
}
.tw-text-font14 {
  font-size: 14px;
  line-height: 19px;
}
.tw-text-font20 {
  font-size: 20px;
  line-height: 30px;
}
.tw-text-font16 {
  font-size: 16px;
  line-height: 21px;
}
.tw-text-font30 {
  font-size: 30px;
  line-height: 36px;
}
.tw-text-font12 {
  font-size: 12px;
  line-height: 16px;
}
.tw-font-bold {
  font-weight: 700;
}
.tw-font-normal {
  font-weight: 400;
}
.tw-uppercase {
  text-transform: uppercase;
}
.tw-text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}
.tw-text-\[\#051C2C\] {
  --tw-text-opacity: 1;
  color: rgb(26 8 0 / var(--tw-text-opacity));
}
.tw-text-red {
  --tw-text-opacity: 1;
  color: rgb(171 38 34 / var(--tw-text-opacity));
}
.tw-text-\[\#484647\] {
  --tw-text-opacity: 1;
  color: rgb(72 70 71 / var(--tw-text-opacity));
}
.tw-text-\[\#4D4E56\] {
  --tw-text-opacity: 1;
  color: rgb(77 78 86 / var(--tw-text-opacity));
}
.tw-no-underline {
  -webkit-text-decoration-line: none;
          text-decoration-line: none;
}
@media (min-width: 768px) {
  .md\:tw-flex {
    display: flex;
  }
  .md\:tw-h-\[450px\] {
    height: 450px;
  }
  .md\:tw-max-h-\[50\%\] {
    max-height: 50%;
  }
  .md\:tw-max-w-\[50\%\] {
    max-width: 50%;
  }
  .md\:tw-grid-cols-\[1fr_358px\] {
    grid-template-columns: 1fr 358px;
  }
  .md\:tw-justify-end {
    justify-content: flex-end;
  }
  .md\:tw-gap-\[20px\] {
    gap: 20px;
  }
  .md\:tw-text-font48 {
    font-size: 48px;
    line-height: 56px;
  }
}
@media (min-width: 1024px) {
  .lg\:tw-gap-\[100px\] {
    gap: 100px;
  }
  .lg\:tw-text-font32 {
    font-size: 32px;
    line-height: 40px;
  }
}
.inherit-inner-content * {
  color: inherit;
  text-align: inherit;
  margin: 0;
  font-size: inherit;
  font-weight: inherit;
  font-family: inherit;
  line-height: inherit;
  letter-spacing: inherit;
}
.inherit-inner-content strong {
  font-weight: 700;
}
.inherit-inner-content a {
  text-decoration: underline;
}

.wishlist-btn.active {
  stroke: transparent;
  transition: 0.2s all;
}
.wishlist-btn:not(.active) path {
  fill: transparent;
  stroke: #051C2C;
  transition: 0.2s all;
}

.hide-prices .price, .hide-prices .card-information, .hide-prices .small-product-card__price, .hide-prices .product-price, .hide-prices [data-type=add-to-cart-form], .hide-prices .wishlist-atc, .hide-prices [data-filter-name=Budget], .hide-prices .price-filter-wrapper {
  display: none;
}

.template-cart brought-modal {
  z-index: 1000;
}

.cart-products-wrapper:has(.main-custom-cart-grid__products-grid.tw-mb-10:empty) .main-custom-cart__you-have-measured.tw-border-t.tw-border-\[\#051C2C29\].tw-pt-10 {
  border: none;
  padding-top: 0;
}
172 results - 17 files

assets/base.css:
  2728: wishlist-icon, button.wishlist-btn, .hide-prices .header__icon--cart {
  2732: .hide-prices .wishlist-icon {
  2736: .hide-prices button.wishlist-btn{
  2746: .wishlist-icon path{

assets/theme.css:
  432: .wishlist-btn.active {
  436: .wishlist-btn:not(.active) path {
  442: .hide-prices .price, .hide-prices .card-information, .hide-prices .small-product-card__price, .hide-prices .product-price, .hide-prices [data-type=add-to-cart-form], .hide-prices .wishlist-atc, .hide-prices [data-filter-name=Budget], .hide-prices .price-filter-wrapper {

assets/Wishlist.js:
    1: const LOCAL_STORAGE_WISHLIST_KEY = 'shopify-wishlist';
    7:   button: '[button-wishlist]',
    8:   grid: '[grid-wishlist]',
   15:   const wishlist_count_items = getWishlist().length;
   16:   if (document.querySelector('.wishlist-items-count') && wishlist_count_items > 0){
   17:     document.querySelector('.wishlist-items-count').innerHTML = wishlist_count_items;
   19:     document.querySelector('.wishlist-items-count').innerHTML = 0;
   25: document.addEventListener('shopify-wishlist:updated', (event) => {
   26:   console.log('[Shopify Wishlist] Wishlist Updated ✅', event.detail.wishlist);
   28:   const wishlist_count_items = getWishlist().length;
   29:   if (document.querySelector('.wishlist-items-count') && wishlist_count_items > 0){
   30:     document.querySelector('.wishlist-items-count').innerHTML = wishlist_count_items;
   32:     document.querySelector('.wishlist-items-count').innerHTML = 0;
   36: document.addEventListener('shopify-wishlist:init-product-grid', (event) => {
   37:   console.log('[Shopify Wishlist] Wishlist Product List Loaded ✅', event.detail.wishlist);
   41: document.addEventListener('shopify-wishlist:init-buttons', (event) => {
   42:   console.log('[Shopify Wishlist] Wishlist Buttons Loaded ✅', event.detail.wishlist);
   57:   .catch((err) => console.error(`[Shopify Wishlist] Failed to load content for handle: ${handle}`, err));
   61:   const wishlist = getWishlist();
   62:   const requests = wishlist.map(fetchProductCardHTML);
   64:   const wishlistProductCards = responses.join('');
   65:   grid.innerHTML = wishlistProductCards;
   69:   const event = new CustomEvent('shopify-wishlist:init-product-grid', {
   70:     detail: { wishlist: wishlist }
   78:     if (!productHandle) return console.error('[Shopify Wishlist] Missing `data-product-handle` attribute. Failed to update the wishlist.');
   79:     if (wishlistContains(productHandle)) button.classList.add(BUTTON_ACTIVE_CLASS);
   81:       updateWishlist(productHandle);
   96:   const event = new CustomEvent('shopify-wishlist:init-buttons', {
   97:     detail: { wishlist: getWishlist() }
  102: const getWishlist = () => {
  103:   const wishlist = localStorage.getItem(LOCAL_STORAGE_WISHLIST_KEY) || false;
  104:   if (wishlist) return wishlist.split(LOCAL_STORAGE_DELIMITER);
  108: const setWishlist = (array) => {
  109:   const wishlist = array.join(LOCAL_STORAGE_DELIMITER);
  110:   if (array.length) localStorage.setItem(LOCAL_STORAGE_WISHLIST_KEY, wishlist);
  111:   else localStorage.removeItem(LOCAL_STORAGE_WISHLIST_KEY);
  113:   const event = new CustomEvent('shopify-wishlist:updated', {
  114:     detail: { wishlist: array }
  118:   return wishlist;
  121: const updateWishlist = (handle) => {
  122:   const wishlist = getWishlist();
  123:   const indexInWishlist = wishlist.indexOf(handle);
  124:   if (indexInWishlist === -1) wishlist.push(handle);
  125:   else wishlist.splice(indexInWishlist, 1);
  126:   return setWishlist(wishlist);
  129: const wishlistContains = (handle) => {
  130:   const wishlist = getWishlist();
  131:   return wishlist.includes(handle);
  134: const resetWishlist = () => {
  135:   return setWishlist([]);

config/settings_data.json:
   12:     "wishlist_enabled": false,
   13:     "wishlist_page_url": "shopify://pages/wishlist",
  308:         "type": "shopify://apps/wishlist-plus/blocks/wishlist-collections-embed/80c3b1fc-3a8f-407e-8367-ffdeebb8b612",
  321:           "swym_add_to_wishlist_title_color": "#333",
  326:           "swym_variant_selector_choose_create_text": "Choose or Create new Wishlist",
  327:           "swym_variant_selector_wishlist_btn_bg_color": "#292929",
  328:           "swym_variant_selector_wishlist_btn_color": "#fff",
  330:           "swym_variant_selector_create_list_placeholder_text": "Enter wishlist name",
  331:           "swym_variant_selector_create_list_title": "Name Your Wishlist"
  335:         "type": "shopify://apps/wishlist-plus/blocks/wishlist-app-embed/80c3b1fc-3a8f-407e-8367-ffdeebb8b612",
  347:           "storefront_layout_as_section_page": "wishlist-1"

config/settings_schema.json:
  22:     "name": "Wishlist",
  26:         "id": "wishlist_enabled",
  27:         "label": "Enable wishlist",
  32:         "id": "wishlist_page_url",
  33:         "label": "Wishlist page URL"

layout/theme.liquid:
  57:     <script src="{{ 'Wishlist.js' | asset_url }}" defer="defer"></script>

sections/header.liquid:
  499:   {% if settings.wishlist_enabled %}
  500:     <a href="{{ settings.wishlist_page_url }}" class="header__icon wishlist-icon !tw-h-auto tw-relative !tw-mr-[18px]">
  504:       <span class="wishlist-items-count tw-text-white tw-rounded-full tw-w-[16px] tw-text-center !tw-h-[16px] tw-bg-[#EB5757] tw-text-font10 tw-font-bold tw-absolute tw-right-[5px] tw-top-[5px]" >

sections/main-product.liquid:
  440:                 {% if settings.wishlist_enabled %}
  441:                   {% render 'button-wishlist', product: product %}

sections/product-card-template.liquid:
  2:   Shopify Wishlist
  8: {% render 'custom-cart-item', product: product, is_wishlist: true %}

sections/wishlist-template.liquid:
   2:   Shopify Wishlist
   6:     - Set the new page's template to: 'page.wishlist'
   7:     - Do NOT remove the `grid-wishlist` attribute
  11:   - Any content inside of the `[grid-wishlist]` element will be completely replaced by the product cards
  14:   - Place a loading element inside the `[grid-wishlist]` element and it will automatically be removed once the product cards have loaded
  17: {{ 'component-wishlist-page.css' | asset_url | stylesheet_tag }}
  23:   <div class="wishlist__grid tw-flex-wrap tw-flex tw-gap-10" grid-wishlist>
  25:       <p class="wishlist__loader full-width text-center">Loading...</p>
  32:       "name": "Wishlist",
  38:           "default": "WISHLIST"

snippets/button-wishlist.liquid:
   2:   Shopify Wishlist
   4:     - Markup: {%- render 'button-wishlist', product: product -%}
  11:     <button onclick="event.preventDefault();" type="button" aria-label="Add to wishlist" class="wishlist-btn {{ classes }}" button-wishlist data-product-handle="{{ product.handle }}">
  18:   Swym Wishlist Button
  20:     - Markup: {%- render 'button-swym-wishlist', product: product -%}
  28:     class="swym-button swym-add-to-wishlist-view-product {{ classes }}"
  29:     data-swaction="addToWishlist"
  35:     <span class="swym-wishlist-button-text">Add to Wishlist</span>

snippets/card-product.liquid:
  293: {% if settings.wishlist_enabled %}
  294:   {% render 'button-wishlist', product: card_product %}

snippets/custom-cart-item.liquid:
   1: <div class="small-product-card tw-relative tw-flex tw-flex-col tw-justify-start {% if is_wishlist %}tw-w-[33%]{% else %}tw-w-[132px]{% endif %}" >
   2:     {% unless is_wishlist %}
  17:         {% if settings.wishlist_enabled and is_wishlist %}
  18:             {% render 'button-wishlist', product: product, classes: 'tw-top-[5px] tw-right-[5px] tw-absolute' %}
  20:         <a href="{{ product.url }}" class="small-product-card__image {% unless is_wishlist %}tw-w-[132px] tw-h-[183px]{% endunless %} tw-block {% if is_wishlist %}tw-w-full{% endif %}">
  53:     {% if is_wishlist %}
  54:         <a href="{{ product.url }}" class="wishlist-atc tw-text-font14 tw-uppercase button button--solid tw-bg-[#051C2C] tw-w-full tw-flex tw-text-white tw-items-center tw-justify-center tw-min-h-[48px]" >

snippets/icon-heart.liquid:
  2:   Shopify Wishlist

templates/page.json:
  27:         "wishlist_plus_wishlist_page_section_MzDP7H": {
  28:           "type": "shopify://apps/wishlist-plus/blocks/wishlist-page-section/80c3b1fc-3a8f-407e-8367-ffdeebb8b612",
  33:         "wishlist_plus_wishlist_page_section_MzDP7H"

templates/page.wishlist.json:
  11:   "wrapper": "section#wishlist.wishlist",
  14:       "type": "wishlist-template",
  16:         "title": "WISHLIST"
  22:         "wishlist_plus_wishlist_page_section_kxE86X": {
  23:           "type": "shopify://apps/wishlist-plus/blocks/wishlist-page-section/80c3b1fc-3a8f-407e-8367-ffdeebb8b612",
  28:         "wishlist_plus_wishlist_page_section_kxE86X"

templates/product.json:
   56:         "wishlist_plus_wishlist_pdp_button_yFWz8j": {
   57:           "type": "shopify://apps/wishlist-plus/blocks/wishlist-pdp-button/80c3b1fc-3a8f-407e-8367-ffdeebb8b612",
   66:             "swym_add_to_wishlist_color": "#1a0800",
   67:             "swym_added_to_wishlist_color": "#222222",
   73:             "swym_hover_add_to_wishlist_color": "#1a0800",
   74:             "swym_hover_added_to_wishlist_color": "#1a0800",
  129:         "wishlist_plus_wishlist_pdp_button_yFWz8j",
